<?php

namespace MoneyTransfer\Core\Providers;

use Illuminate\Support\ServiceProvider;

class CoreServiceProvider extends ServiceProvider
{
    public function boot()
    {
        // Load routes
        $this->loadRoutesFrom(__DIR__ . '/../../routes/api.php');

        // Load migrations
        $this->loadMigrationsFrom(__DIR__ . '/../../database/migrations');
    }

    public function register()
    {
        $this->app->bind(
            \MoneyTransfer\Core\Repositories\TransferRepository::class,
            \MoneyTransfer\Core\Repositories\TransferRepository::class
        );
    }
}
